libzypp 17.37.10

zypp::AutoFILE Class Reference

AutoDispose<FILE*> calling `::fclose` More...

`#include <zypp-core/AutoDispose.h>`

Inheritance diagram for zypp::AutoFILE:

## Public Member Functions
| AutoFILE (FILE *file_r=nullptr)
Public Member Functions inherited from zypp::AutoDispose< FILE * >
| AutoDispose ()
| Default Ctor using default constructed value and no dispose function.
| operator reference () const
| Provide implicit conversion to `Tp&`.
reference | value () const
| Reference to the `Tp` object.
reference | operator* () const
| Reference to the `Tp` object.
value_type * | operator-> () const
| Pointer to the `Tp` object (asserted to be != NULL).
void | reset ()
| Reset to default Ctor values.
void | swap (AutoDispose &rhs) noexcept
| Exchange the contents of two AutoDispose objects.
bool | unique () const
| Returns true if this is the only AutoDispose instance managing the current data object.
const Dispose & | getDispose () const
| Return the current dispose function.
void | setDispose (const Dispose &dispose_r)
| Set a new dispose function.
void | resetDispose ()
| Set no dispose function.
void | swapDispose (Dispose &dispose_r)
| Exchange the dispose function.

## Additional Inherited Members
Public Types inherited from zypp::AutoDispose< FILE * >
using | param_type
using | reference
using | const_reference
using | value_type
using | result_type
using | dispose_param_type
using | Dispose
| Dispose function signatue.
Related Symbols inherited from zypp::AutoDispose< FILE * >
std::ostream & | operator<< (std::ostream &str, const AutoDispose< FILE * > &obj)
| Stream output of the `Tp` object.

## Detailed Description

AutoDispose<FILE*> calling `::fclose`

See also
  AutoDispose

Definition at line 320 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ AutoFILE()

zypp::AutoFILE::AutoFILE | ( | FILE * | file_r = nullptr | ) |
| inline

Definition at line 322 of file AutoDispose.h.

The documentation for this class was generated from the following file:

- zypp-core/AutoDispose.h